#include <bits/stdc++.h>
using namespace std;

int main() {
	int n, k, s;
	cin>>n>>k;
	int a[n];
	for(int i=0; i<n; i++){
		cin>>a[i];
		if(a[i]==k)
			s=i;}
	if(k==a[n-1])
		cout<<a[0];
	else cout<<a[s+1];
    return 0;
}